package com.ynet.life.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.InvalidArgumentException;
import com.ynet.gene.data.ObjectNotFoundException;
import com.ynet.life.base.LifeDBAccess;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.util.LoafMacUtil;
import com.ynet.life.util.MacUtil;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.HashMap;

/* loaded from: com_ynet_life_action.jar:com/ynet/life/action/AddMacLoafAction.class */
public class AddMacLoafAction extends LifeJDBCAction {
    private String businessCodeField;

    public String execute(Context context) throws GENEException {
        if (this.businessCodeField == null || "".equals(this.businessCodeField)) {
            throw new TranFailException("EBLN0000", "没有配置摘要ID");
        }
        Connection connection = LifeDBAccess.getConnection(getDataSource());
        String resultMac = MacUtil.makeMac(LoafMacUtil.getMacColumnList(this.businessCodeField, context, connection, "0"));
        HashMap paramMap = (HashMap) LoafMacUtil.TABLE_CONFIG_MAP.get(this.businessCodeField);
        String tableName = (String) paramMap.get("tableName");
        StringBuffer sqlUpdate = new StringBuffer();
        sqlUpdate.append("UPDATE  ").append(tableName).append(" SET ");
        ArrayList writeMacList = (ArrayList) paramMap.get("writeMac");
        sqlUpdate.append((String) writeMacList.get(0)).append("=?");
        ArrayList primaryKeyList = (ArrayList) paramMap.get("primaryKey");
        if (primaryKeyList != null && primaryKeyList.size() > 0) {
            sqlUpdate.append(" WHERE ");
            for (int i = 0; i < primaryKeyList.size(); i++) {
                HashMap primaryMap = (HashMap) primaryKeyList.get(i);
                String dataName = (String) primaryMap.get("dataField");
                String tableFieldName = (String) primaryMap.get("tableField");
                if (dataName != null && tableFieldName != null && !"".equals(dataName) && !"".equals(tableFieldName)) {
                    String dataValue = context.get(dataName) == null ? "" : (String) context.get(dataName);
                    sqlUpdate.append(tableFieldName).append("=").append("'" + dataValue.trim() + "'").append(",");
                }
            }
        }
        sqlUpdate.deleteCharAt(sqlUpdate.length() - 1);
        try {
            try {
                PreparedStatement statementUpdate = connection.prepareStatement(sqlUpdate.toString());
                statementUpdate.setString(1, resultMac);
                statementUpdate.executeUpdate();
                LifeDBAccess.releaseConnection(connection);
                return "0";
            } catch (SQLException e) {
                throw new TranFailException("EBLN0000", "更新MAC字段时出错:" + e.getMessage());
            }
        } catch (Throwable th) {
            LifeDBAccess.releaseConnection(connection);
            throw th;
        }
    }

    public String innerExcute(Connection connection, Context context, String macId) throws TranFailException {
        Context makeMac = MacUtil.makeMac(LoafMacUtil.getMacColumnList(macId, context, connection, "0"));
        try {
            if (context.containsKey("columnMAC")) {
                makeMac = context;
                makeMac.setDataValue("columnMAC", makeMac);
            }
        } catch (ObjectNotFoundException e) {
            makeMac.printStackTrace();
        } catch (InvalidArgumentException e2) {
            makeMac.printStackTrace();
        }
        HashMap paramMap = (HashMap) LoafMacUtil.TABLE_CONFIG_MAP.get(macId);
        String tableName = (String) paramMap.get("tableName");
        StringBuffer sqlUpdate = new StringBuffer();
        sqlUpdate.append("UPDATE  ").append(tableName).append(" SET ");
        ArrayList writeMacList = (ArrayList) paramMap.get("writeMac");
        sqlUpdate.append((String) writeMacList.get(0)).append("=?");
        ArrayList primaryKeyList = (ArrayList) paramMap.get("primaryKey");
        if (primaryKeyList != null && primaryKeyList.size() > 0) {
            sqlUpdate.append(" WHERE ");
            for (int i = 0; i < primaryKeyList.size(); i++) {
                HashMap primaryMap = (HashMap) primaryKeyList.get(i);
                String dataName = (String) primaryMap.get("dataField");
                String tableFieldName = (String) primaryMap.get("tableField");
                if (dataName != null && tableFieldName != null && !"".equals(dataName) && !"".equals(tableFieldName)) {
                    String dataValue = context.get(dataName) == null ? "" : (String) context.get(dataName);
                    sqlUpdate.append(tableFieldName).append("=").append("'" + dataValue.trim() + "'").append(",");
                }
            }
        }
        sqlUpdate.deleteCharAt(sqlUpdate.length() - 1);
        try {
            PreparedStatement statementUpdate = connection.prepareStatement(sqlUpdate.toString());
            statementUpdate.setString(1, makeMac);
            statementUpdate.executeUpdate();
            return "0";
        } catch (SQLException e3) {
            throw new TranFailException("EBLN0000", "更新MAC字段时出错:" + e3.getMessage());
        }
    }

    public String getBusinessCodeField() {
        return this.businessCodeField;
    }

    public void setBusinessCodeField(String businessCodeField) {
        this.businessCodeField = businessCodeField;
    }
}
